This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 873252 (CVE-2012-5784)

Summary: CVE-2012-5784 axis: missing connection hostname check against X.509 certificate name
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: andjrobins, aneelica, chazlett, djorm, epp-bugs, java-maint, mgoldman, mizdebsk, pcheung, pmatouse, security-response-team, swagiaal, theute
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20121016,reported=20121104,source=cve,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,rhel-5/axis=affected,rhel-6/axis=affected,epp-5/axis=wontfix,fedora-all/axis=affected,rhev-m-3/jasperreports-server-pro=affected,rhev-m-3.3/jasperreports-server-pro=affected,dts-2.1/devtoolset-2-axis=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Apache Axis did not verify that the server host name matched the domain name in the subject's Common Name (CN) or subjectAltName field in X.509 certificates. This could allow a man-in-the-middle attacker to spoof an SSL server if they had a certificate that was valid for any domain name.
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-02 15:51:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 873291, 893317, 893319, 893320, 893321, 893322, 896286, 896287, 961360, 1129971    
Bug Blocks: 873294, 1131741    

Description Jan Lieskovsky 2012-11-05 08:02:21 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-5784 to the following vulnerability:

Apache Axis 1.4 and earlier, as used in PayPal Payments Pro, PayPal Mass Pay, PayPal Transactional Information SOAP, the Java Message Service implementation in Apache ActiveMQ, and other products, does not verify that the server hostname matches a domain name in the subject's Common Name (CN) or subjectAltName field of the X.509 certificate, which allows man-in-the-middle attackers to spoof SSL servers via an arbitrary valid certificate.

References:
[1] http://www.cs.utexas.edu/~shmat/shmat_ccs12.pdf
[2] https://crypto.stanford.edu/~dabo/pubs/abstracts/ssl-client-bugs.html
[3] http://www.sigsac.org/ccs/CCS2012/techprogram.shtml
Comment 1 Jan Lieskovsky 2012-11-05 08:56:55 EST
Created axis tracking bugs for this issue

Affects: fedora-all [bug 873291]
Comment 6 David Jorm 2012-12-12 01:24:05 EST
A patch for this issue is available here:

https://issues.apache.org/jira/browse/AXIS-2883

This patch has been shipped by Debian and has been proposed for acceptance by upstream. Upstream is no longer maintained and so far has not responded to communication on this issue; the patch may never be committed upstream.
Comment 10 David Jorm 2013-01-16 18:22:02 EST
Created axis tracking bugs for this issue

Affects: fedora-all [bug 896285]
Comment 11 Fedora Update System 2013-02-01 11:58:03 EST
axis-1.4-19.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-02-01 12:16:35 EST
axis-1.4-19.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 errata-xmlrpc 2013-02-19 17:25:44 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0269 https://rhn.redhat.com/errata/RHSA-2013-0269.html
Comment 14 errata-xmlrpc 2013-03-25 13:15:26 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0683 https://rhn.redhat.com/errata/RHSA-2013-0683.html
Comment 19 errata-xmlrpc 2014-01-21 12:43:31 EST
This issue has been addressed in following products:

  RHEV Manager version 3.3

Via RHSA-2014:0037 https://rhn.redhat.com/errata/RHSA-2014-0037.html
Comment 22 Tomas Hoger 2014-08-27 08:41:00 EDT
The fix for this issue was found to be incomplete.  The incomplete fix issue got CVE-2014-3596 and is tracked via bug 1129935.
Comment 23 Martin Prpic 2014-08-28 04:52:02 EDT
IssueDescription:

Apache Axis did not verify that the server host name matched the domain name in the subject's Common Name (CN) or subjectAltName field in X.509 certificates. This could allow a man-in-the-middle attacker to spoof an SSL server if they had a certificate that was valid for any domain name.
Comment 24 errata-xmlrpc 2014-09-02 14:11:24 EDT
This issue has been addressed in following products:

  Red Hat Developer Toolset 2.1 for RHEL 6

Via RHSA-2014:1123 https://rhn.redhat.com/errata/RHSA-2014-1123.html